@import "mixins";

//................General..............

*{
  .border-box();
}
.animated{
  -webkit-animation-fill-mode:none !important;
  animation-fill-mode:none !important;
}
.content{
  .content-width();
}
.font-bold{
  font-family: @bold-font !important;
}
.font-light{
  font-family: @light-font !important;
}
.font-semibold{
  font-family: @semibold-font !important;
}
.font-regular{
  font-family: @regular-font !important;
}
.flex-wrap{
  flex-wrap: wrap;
}
.flex-row {
  flex-direction: row;
  .flexbox();
  .align-and-justify();

}
.flex-row-reverse {
  flex-direction: row-reverse;
  .flexbox();
  .align-and-justify();
}
.flex-col{
  flex-direction: column;
  .flexbox();
  .align-and-justify();
}
.flex-col-reverse {
  flex-direction: column-reverse;
  .flexbox();
  .align-and-justify();
}

.flex-col-small{
  @media @device-small {
    flex-direction: column;
    .flexbox();
    .align-and-justify();
  }
}
.flex-col-reverse-small{
  @media @device-small {
    flex-direction: column-reverse;
    .flexbox();
    .align-and-justify();
  }
}

.flex-col-medium{
  @media @device-medium {
    flex-direction: column;
    .flexbox();
    .align-and-justify();
  }
}
.flex-col-reverse-medium{
  @media @device-medium {
    flex-direction: column-reverse;
    .flexbox();
    .align-and-justify();
  }
}

.flex-col-large{
  flex-direction: column;
  .flexbox();
  .align-and-justify();
  @media @device-x-large {
    flex-direction: row;
  }
}
.flex-col-reverse-large{
  flex-direction: column-reverse;
  .flexbox();
  .align-and-justify();
  @media @device-x-large {
    flex-direction: row;
  }
}
.flex-align-self-start{
  align-self: flex-start;
}
.flex-align-self-end{
  align-self: flex-end;
}
.flex-align-self-center{
  align-self: center;
}
.flex-1{
  .flex(1);
}
.flex-2{
  .flex(2);
}


.transparent-button{
  .transparent-button(@primary-color);
}

input{
  outline:none;
  border:none;
}

a,button{
  outline: none;
  cursor: pointer;
  text-decoration: none;
  background: transparent;
  border:none;
  color: @primary-text-color;
  .transition(all 0.3s ease-out);

  &:hover{
    color:@primary-color;
    .popover{
      display: block;
    }
  }
  .popover{
    position: absolute;
    color:@primary-color;
    font-size: 12px;
    background: #fff;
    padding: 10px;
    width: 200px;
    bottom: 120%;
    left: 50%;
    margin-left: -100px;
    display:none;
  }
}
button{
  .border-radius(5px);
}
button.primary,a.primary{
  background: @primary-color;
  border:2px solid @primary-color;
  padding: 10px 15px;
  color:#fff;
  .border-radius(5px) !important;
  text-transform: uppercase;

  &:hover{
    background-color: transparent;
    color:@primary-color;
    //box-shadow: 0 0 0 2px @primary-color inset;
  }
  &.transparent-button{
    padding: 8px 15px;
  }
}
.text-align-center{
  text-align: center;
}
.text-uppercase{
  text-transform: uppercase;
}
p{
  font-size: 13px;
  margin: 0 0 10px 0;
}
.hidden{
  opacity:0;
  @media @device-small{
    opacity: 1;
  }
}
.visible{
  opacity:1;
}
.no-js #loader { display: none;  }
.js #loader { display: block; position: absolute; left: 100px; top: 0; }
//.se-pre-con {
//  position: fixed;
//  left: 0px;
//  top: 0px;
//  width: 100%;
//  height: 100%;
//  z-index: 9999;
//  background: url(../img/loader1.gif) center no-repeat #fff;
//}
.se-pre-con{
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  top: 0;
  background: #fff;
  text-align: center;
  padding: 50px;
  box-sizing: border-box;
  z-index: 1000;
}
.loading{
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: #fff;
  text-align: center;
  padding: 150px 0;
  box-sizing: border-box;
  z-index: 1000;
}
.se-pre-con:after,.loading:after{
  content:"";
  width: 85px;
  height: 85px;
  position: absolute;
  top: 50%;
  margin-top: -42.5px;
  left: 50%;
  margin-left: -42.5px;
  background: url("../img/loading.png");
  -webkit-animation: rotateplane 1.2s infinite ease-in-out;
  animation: rotateplane 1.2s infinite ease-in-out;

  @media @device-small{
    animation:none;
  }
}

@keyframes rotateplane {
  0% {
    transform: perspective(120px) rotateX(0deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg)
  }
  50% {
    transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg)
  }
  100% {
    transform: perspective(120px) rotateX(-180deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(0deg);
  }
}
.hide-xx-small{
  @media @device-xx-small{
    display: none;
  }
}.hide-x-small{
   @media @device-x-small{
     display: none;
   }
 }
.hide-small{
  @media @device-small{
    display: none;
  }
}
.hide-medium{
  @media @device-medium{
    display: none;
  }
}
.hide-large{
  @media @device-large{
    display: none;
  }
}
.show-small{
  display: none;
  @media @device-small{
    display: inherit;
  }
}
.show-medium{
  display: none;
  @media @device-medium{
    display: inherit;
  }
}
.show-large{
  display: none;
  @media @device-large{
    display: inherit;
  }
}
.show-x-large{
  display: none;
  @media @device-x-large{
    display: inherit;
  }
}
//................Icons....................
.icon-hospitality{
  color:@hospitality-color;
}
.icon-retail{
  color:@retail-color;
}
.icon-health{
  color:@health-color;
}
.icon-convenience{
  color:@convenience-color;
}
.icon-takeaways{
  color:@takeaways-color;
}

.title{
  font-size:34px;
  .font-light();
  font-weight: normal;
  margin:0;

  @media @device-medium{
    font-size: 26px !important;
  }
}
.subtitle{
  font-size:17px;
  font-weight: normal;
  margin:0;

  @media @device-medium{
    font-size: 15px;
  }
}

.tabs{
  &:not(.price-tabs){
    .header{
      ul{
        @media @device-small{
          .flex-col;
          margin:25px 0 0;
        }
        li{
          @media @device-small{
            margin:5px 0;
          }
          > button{
            @media @device-small{
              background-color:#fff;
              font-size: 18px;
              line-height: 15px;
              height: 50px;
              overflow: hidden;
              .border-radius(5px) !important;
              border:none !important;
              text-align: left;
              padding: 0 20px;
              position: relative;

              &:after{
                content: "+";
                position: absolute;
                right: 10px;
                font-size: 50px;
                top: 17px;
                color:@retail-color;
              }
            }
          }
          > .tab-content{
            display: none;
          }
          &.active{
            > .tab-content{
              display:none;
              @media @device-small{
                display: block;
                background: #fff;
              }
            }
          }
        }
      }
    }
  }
  .header{
    border-bottom: 1px solid #d9d9d9;
    ul{
      list-style: none;
      margin:25px 1% 0;
      padding:0;

      li{
        margin:0 4px -1px;
        > button{
          text-align: center;
          width: 100%;
          line-height: 50px;
          background-color:#e4e2e3;
          color:#626167;
          .border-radius(0) !important;
          .transition(all 0.4s ease);
          font-family: @regular-font;
          font-size:17px;
          text-transform: uppercase;

          @media @device-medium{
            font-size: 13px;
            padding: 4px;
            line-height: 20px;
          }
        }

        &:hover,&.active{
          > button{
            background-color: #fff;
            border:1px solid #d9d9d9;
            border-bottom: none;
            padding-bottom: 10px;
            @media @device-medium{
              padding-bottom: 15px;
            }
            @media @device-small{
              padding-bottom: 5px;
              .border-radius(5px 5px 0 0) !important;
            }
          }
        }

      }
    }
  }

  .tabs-content-container {
    .tab-content{
      display: none;
      &.active{
        display: block;
      }
    }
  }

}

.input-container{
  font-size: 14.5px;
  font-family: @regular-font;
  color:#626167;
  margin-bottom:20px;
  position: relative;

  label{
    margin-bottom:15px;
    display: block;
  }
  i{
    position:absolute;
    line-height: 44px;
    right: 11px;
    color: #cecdda;
    font-size: 20px;
  }
  input,textarea,select{
    padding:12px;
    border:1px solid #cecdda;
    width: 100%;
    outline:none;
    .border-radius(3px);
  }
  textarea{
    resize: none;
  }
  @-moz-document url-prefix() {
    select{
      padding:0 10px;
    }
  }
  &.select-container{
    position: relative;
    &:before{
      content: "\e90f";
      font-family: 'icomoon';
      position: absolute;
      top: 4px;
      right: 5px;
      font-size: 35px;
      color:#cecdda;
      pointer-events: none;

    }
    select{
      appearance:none;
      -moz-appearance:none; /* Firefox */
      -webkit-appearance:none; /* Safari and Chrome */
      color:#848387;
      font-family: @semibold-font;
      font-size:14px;
      background-color: transparent;
      padding: 10px 20px;
    }
    option{
      padding:10px;
    }
  }
}


.checkbox-container{
  input:not(:checked),
  input:checked {
    position: absolute;
    left: -9999px;
  }

  input:not(:checked) + label,
  input:checked + label {
    position: relative;
    padding-left: 30px;
    margin-right: 15px;
    cursor: pointer;
    font-size: 14px;
    display: inline-block;
  }

  input:not(:checked) + label:before,
  input:checked + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border: 1px solid #cecdda;
    background: #fff;
    box-sizing: border-box;
  }

  input.not-valid:not(:checked) + label:before,
  input.not-valid:checked + label:before {
    border: 2px solid #f16c55;
  }

  input:not(:checked) + label:after,
  input:checked + label:after {
    font-family: 'icomoon';
    content: "\ea10";
    position: absolute;
    top: 4px;
    left: 4px;
    font-size: 13px;
    color:@retail-color;
    transition: all .2s;
  }

  input:not(:checked) + label:after {
    opacity: 0;
    transform: scale(0);
  }

  input:checked + label:after {
    opacity: 1;
    transform: scale(1);
  }

  input:disabled:not(:checked) + label:before,
  input:disabled:checked + label:before {
    box-shadow: none;
    border-color: #bbb;
    background-color: #ddd;
  }

  input:disabled:checked + label:after {
    color: #999;
  }

  input:disabled + label {
    color: #aaa;
  }

  label:hover:before {
    border: 2px solid #60B6E5 !important;
  }

  label{
    font-size:17.5px;
  }
}

.radio-container{
  input:not(:checked),
  input:checked {
    position: absolute;
    left: -9999px;
  }

  input:not(:checked) + label,
  input:checked + label {
    position: relative;
    padding-left: 40px;
    margin-right: 30px;
    cursor: pointer;
    display: inline-block;
  }

  input:not(:checked) + label:before,
  input:checked + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 2px;
    width: 30px;
    height: 30px;
    border: 1px solid #cecdda;
    background: #fff;
    box-sizing: border-box;
    .border-radius(100%);
  }

  input.not-valid:not(:checked) + label:before,
  input.not-valid:checked + label:before {
    border: 2px solid #f16c55;
  }

  input:not(:checked) + label:after,
  input:checked + label:after {
    content: "";
    position: absolute;
    top: 9px;
    left: 7px;
    font-size: 13px;
    background-color:@retail-color;
    width: 16px;
    height: 16px;
    .border-radius(100%);
    transition: all .2s;
  }

  input:not(:checked) + label:after {
    opacity: 0;
    transform: scale(0);
  }

  input:checked + label:after {
    opacity: 1;
    transform: scale(1);
  }

  input:disabled:not(:checked) + label:before,
  input:disabled:checked + label:before {
    box-shadow: none;
    border-color: #bbb;
    background-color: #ddd;
  }

  input:disabled:checked + label:after {
    color: #999;
  }

  input:disabled + label {
    color: #aaa;
  }

  label:hover:before {
    border: 2px solid #60B6E5 !important;
  }

  label{
    font-size:17.5px;
  }
}

.page-color{
  color:@primary-color;
}

ul.list{
  list-style: none;
  padding: 0;
  margin: 0;
  li::before {
    content: "• ";
    font-size: 20px;
    vertical-align: sub;
    color:@primary-color;
  }
}


.showcase{
  .thumbnails{
    > div{
      &:hover{
        box-shadow: 0 0 6px 0 @primary-color;
      }
    }
  }
}



//................modal.................
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4);

  &.active{
    display: block;
  }
  .modal-content {
    background-color: #fefefe;
    margin: 50px auto;
    padding: 64px 42px 20px;
    border: 1px solid #888;
    width: 720px;
    -webkit-animation-duration: 0.4s;
    animation-duration: 0.4s;
    animation-fill-mode: forwards;
    -webkit-animation-fill-mode: forwards;
    position: relative;
    color:#6e6d79;
    font-size: 13.5px;
    box-shadow: 0 0 14px 5px #707070;

    @media @device-small{
      width:90%;
    }


    .header{
      width: 100%;
      position: absolute;
      top: 0;
      left: 0;
      padding: 5px 20px;
      .close-btn{
        position: relative;
        top: 0px;
        right: 0px;
        i{
          color: #59c3ee;
          font-style: normal;
          font-size: 25px;
          font-weight: bold;
        }
      }
    }

  }
}


.alert{
  display: none;
  padding: 20px;
  margin-top: 20px;
  background-color:#7f827c;
  color:#fff;
  .border-radius(5px);
  &.success{
    background-color: #4ac53e;
  }
  &.failed{
    background-color: #c53e3e;
  }
}

